{ pkgs, ... }: {
  nixpkgs.overlays = [
    (_: _: {
      devEnvironment = (import ./environment.nix) {
        # enableCpp = true;
        enableData = true;
        # enableGo = true;
        # enableHtml = true;
        # enableJavascript = true;
        # enableJava = true;
        # enableLatex = true;
        enableNix = true;
        # enableOffice = true;
        # enablePython = true;
        # enableRust = true;
        enableShell = true;
        # enableSpelling = true;
      };
    })
  ];
  home = {
    language.base = "it_IT.UTF-8";
    keyboard = {
      layout = "it";
      options = [ "terminate:ctrl_alt_bksp" "compose:rctrl" ];
    };
    packages = with pkgs; [
      file
      htop
      neofetch
      nix-prefetch-scripts
      ripgrep
      wget
      xclip
      yq
    ];
  };
  imports = [
    ../hm_modules/__basic.nix

    ../hm_modules/configurations.nix
    ../hm_modules/fonts.nix
    ../hm_modules/bash.nix
    ../hm_modules/bat.nix
    ../hm_modules/bottom.nix
    ../hm_modules/broot.nix
    ../hm_modules/dircolors.nix
    ../hm_modules/direnv.nix
    ../hm_modules/git.nix
    ../hm_modules/gpg.nix
    ../hm_modules/helix.nix
    ../hm_modules/info.nix
    ../hm_modules/jq.nix
    # ../hm_modules/kakoune.nix
    ../hm_modules/keychain.nix
    # ../hm_modules/kitty.nix
    ../hm_modules/lf.nix
    ../hm_modules/man.nix
    ../hm_modules/megasync.nix
    ../hm_modules/noti.nix
    ../hm_modules/ssh.nix
    ../hm_modules/starship.nix
    ../hm_modules/tmux.nix
    ../hm_modules/zoxide.nix
    ../hm_modules/zsh.nix
    ../hm_modules/shell_aliases.nix
  ];
}
